#!/usr/bin/env bash
one=$1
TOCALL=${one^^}
shift
INPUT=$*
if [ "$INPUT" = "" ]; then
  echo "Usage:  $1 <callsign> <text message to send>"
  exit 1
fi

USER="CALLSIGN HERE"
PASS="PASSCODE HERE"                        
DIREWOLFHOSTNAME=localhost

#telnetting into aprsis server,sending login, send concatenated string, quit
{
sleep 2
echo "user $USER pass $PASS vers aprs-send-message 0.1"
sleep 2
printf  "$USER>APDW17,APRS,TCPIP*::%-9s:$INPUT\r\n" $TOCALL
sleep 5
echo "^]"
echo "quit"
} | telnet rotate.aprs2.net 14580
ERR="${PIPESTATUS[0]}"
if [ $ERR -eq 0 ]; then
   echo "Message sent."
else
   echo "ERROR: telnet returned $ERR."
fi

echo "Sending packet to Radio TNC."
{
sleep 10    # allow kissutil time to make connection
printf  "$USER>APDW17,WIDE1-1,WIDE2-1,APRS,TCPIP::%-9s:$INPUT\r\n" $TOCALL 
} | kissutil -h $DIREWOLFHOSTNAME


exit $ERR